import BaseService from '../common/BaseService';
export default class DealReplicationService extends BaseService {
    private app;
    constructor();
    start(): void;
    private handleGetReplicationRequest;
    private handleListReplicationRequests;
    private handleUpdateReplicationRequest;
    private sendError;
    private handleCreateReplicationRequest;
}
